﻿2010-12-23  Vladimir Alexiev  <vladimir@sirma.bg>

	* woman.el (woman-file-name): custom option `woman-use-first-file'
	to use the first file found, if multiple files match the man topic.

--- c:/emacs/lisp/woman.el	2010-11-10 08:39:48.000000000 +0200
+++ woman.el	2010-12-25 11:41:56.796875000 +0200
@@ -809,4 +809,11 @@
   :group 'woman-interface)
 
+(defcustom woman-use-file-directly nil
+  "If multiple files match the man topic, use the first or last file directly."
+  :type '(choice (const :tag "No" nil)
+		 (const :tag "First" 'first)
+                 (const :tag "Last" 'last))
+  :group 'woman-interface)
+
 (defvar woman-file-regexp nil
   "Regexp used to select (possibly compressed) man source files, e.g.
@@ -1320,4 +1327,6 @@
        ((null files) nil)		; no file found for topic.
        ((null (cdr files)) (car (car files))) ; only 1 file for topic.
+       ((eq 'first woman-use-file-directly) (car (car files))) ; use the first file
+       ((eq 'last woman-use-file-directly) (car (car (last files)))) ; use the last file
        (t
 	;; Multiple files for topic, so must select 1.
